.pet-nav-btn-header {
	
	border-color: var(--bs-primary-dark);	
	
	&:hover {
		border-color: var(--bs-primary-fluo);
	}
}


/* 
Theme bootstrap switch customization 
 ::before styles slider rail 
 ::after styles slider handle
*/
.pet-custom-switch {
  
  label {
    
    position: relative;
    
    &::before {
      width: 2rem;
      height: 1rem;
      top: -0.8rem;
      pointer-events: all;
      position: absolute;
      content: "";
      border-radius: 0.5rem;
      background-color: var(--bs-secondary-dark);
      border-color: var(--bs-secondary);
    }
    
    &::after {
      width: 1.4rem;
      height: 1.4rem;
      top: -1rem;
      position: absolute;
      content: "";
      background-color: var(--bs-tertiary-dark);
      background-image: url("../../assets/imgs/adjust-solid.svg");
      border-radius: 1rem;
      transition: transform 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }
  }
  
  input:checked ~ label {
    
    &::before {
      background-color: var(--bs-secondary-dark);
      border-color: var(--bs-secondary);
    }
  
    &::after {
      background-color: var(--bs-tertiary-light);
      transform: translateX(1rem);
      background-image: url("../../assets/imgs/adjust-solid.svg");
      box-shadow: 0 0 0.1rem 0.1rem var(--bs-tertiary);
    }
  }
  
  input:focus {
    
    & ~ label::before {
        box-shadow: none;
    }
  
    &:not(:checked) ~ label::before {
        border-color: var(--bs-secondary-dark);
    }
  }
  /* Avoid flashing rail on transition */
  input:not(:disabled):active ~ label::before {
    background-color: var(--bs-secondary-dark);
    border-color: var(--bs-secondary);
  }
  
}
